// Copyright (C) 2008 - 2010 - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
//
// <-- JVM NOT MANDATORY -->
// <-- NO CHECK REF -->

// Update the help of this module.
path = helptbx_getpath (  );
helpdir = fullfile(path,"help","en_US");
funmat = [
    "helptbx_helpupdate"
    "helptbx_iscontentupdte"
    "helptbx_updtifneeded"
];
macrosdir = fullfile(path,"macros");
demosdir = fullfile(path,"demos");
modulename = "helptbx";
[nbxmlfiles , isdemgwutd] = helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t );
assert_checkequal(nbxmlfiles,0);
assert_checkequal(isdemgwutd,%t);

// Do not print messages.
[nbxmlfiles , isdemgwutd] = helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename );
assert_checkequal(nbxmlfiles,0);
assert_checkequal(isdemgwutd,%t);

// Do not update demos.
[nbxmlfiles , isdemgwutd] = helptbx_helpupdate ( funmat , helpdir , macrosdir );
assert_checkequal(nbxmlfiles,0);
assert_checkequal(isdemgwutd,[]);

